Update for Capistrano 3? #26

Open
davidham opened this Issue Jun 6, 2014 · 4 comments

5 participants

@davidham

Are there any plans to update this to use Capistrano 3.x?

@hilja

👍

@mikelittle

Mark,
Are there any current plans to bring this up to date? It seems the current deploy scripts don't work with a fresh install of Capistrano. I found a number of articles attempting to address this and similar issues, but they seemed old and not applicable to the current releases. My Ruby knowledge is non-existent, so I wasn't able to apply the old solutions to the current problems.

@mathieuhays

If you want the current version to work you can install capistrano v2.15.5 :

sudo gem install capistrano -v 2.15.5
sudo gem install capistrano-ext railsless-deploy

If you want to use Capistrano 3, there is this repo : https://github.com/Mixd/wp-deploy. I haven't tried it but it seems to provide a similar logic.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment